### Enumeration

# GUsb DeviceError

#### Declaration

    enum GUsb.DeviceError

#### Description

The error code.

#### Members

`G_USB_DEVICE_ERROR_INTERNAL`

  Internal error.

  - Value: `0`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_IO`

  IO error.

  - Value: `1`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_TIMED_OUT`

  Operation timed out.

  - Value: `2`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_NOT_SUPPORTED`

  Operation not supported.

  - Value: `3`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_NO_DEVICE`

  No device found.

  - Value: `4`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_NOT_OPEN`

  Device is not open.

  - Value: `5`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_ALREADY_OPEN`

  Device is already open.

  - Value: `6`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_CANCELLED`

  Operation was cancelled.

  - Value: `7`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_FAILED`

  Operation failed.

  - Value: `8`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_PERMISSION_DENIED`

  Permission denied.

  - Value: `9`
  - Available since: 1.0
`G_USB_DEVICE_ERROR_BUSY`

  Device was busy.

  - Value: `10`
  - Available since: 1.0